Bug 1574004 - Review Request: golang-gopkg-natefinch-lumberjack-2 - Rolling logger for Go
Summary: Review Request: golang-gopkg-natefinch-lumberjack-2 - Rolling logger for Go
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:26 UTC by Robert-André Mauchin 🐧
Modified: 2018-06-14 18:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 21:22:38 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 16:26:37 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740608-golang-gopkg-natefinch-lumberjack-2/golang-gopkg-natefinch-lumberjack-2.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740608-golang-gopkg-natefinch-lumberjack-2/golang-gopkg-natefinch-lumberjack-2-2.1-1.fc29.src.rpm

Description:
Lumberjack is a Go package for writing logs to rolling files.

Lumberjack is intended to be one part of a logging infrastructure. It is not 
an all-in-one solution, but instead is a pluggable component at the bottom of 
the logging stack that simply controls the files to which logs are written.

Lumberjack plays well with any logging package that can write to an io.Writer, 
including the standard library's log package.

Lumberjack assumes that only one process is writing to the output files. Using 
the same lumberjack configuration from multiple processes on the same machine 
will result in improper behavior.

Fedora Account System Username: eclipseo

Comment 1 Jared Smith 2018-05-06 23:50:35 UTC
I have reviewed this package submission, and it conforms to the Fedora Packaging Guidelines, and it also builds cleanly in mock.  It is approved.

Comment 2 Gwyn Ciesla 2018-05-08 13:59:55 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-gopkg-natefinch-lumberjack-2

Comment 3 Fedora Update System 2018-05-09 13:50:52 UTC
golang-gopkg-natefinch-lumberjack-2-2.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c50d7bfa3

Comment 4 Fedora Update System 2018-05-10 01:31:30 UTC
golang-gopkg-natefinch-lumberjack-2-2.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c50d7bfa3

Comment 5 Fedora Update System 2018-05-19 21:22:38 UTC
golang-gopkg-natefinch-lumberjack-2-2.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-05-26 16:32:12 UTC
golang-gopkg-natefinch-lumberjack-2-2.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-71562bf879

Comment 7 Fedora Update System 2018-05-26 20:37:48 UTC
golang-gopkg-natefinch-lumberjack-2-2.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-71562bf879

Comment 8 Fedora Update System 2018-06-14 18:15:33 UTC
golang-gopkg-natefinch-lumberjack-2-2.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.